Name:		tagtool
Version:	0.12.3
Release:	10%{?dist}
Summary:	Ogg Vorbis and MP3 tag manager

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://pwp.netcabo.pt/paol/tagtool/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch1:		%{name}-contents.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-0.12.3-oga.patch
Patch4:		%{name}-DSOLink.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libglade2-devel
BuildRequires:	libvorbis-devel
BuildRequires:	id3lib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	perl(XML::Parser)

Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
       

%description
Audio Tag Tool is a program to manage the information fields in MP3 and 
Ogg Vorbis files.

It can be used to edit tags one by one, but the most useful features are 
mass tag and mass rename. These are designed to tag or rename hundreds of 
files at once, in any desired format. 


%prep
%setup -q
%patch1 -p1 -b .contents
%patch2 -p1 -b .desktop
%patch3 -p1 -b .oga
%patch4 -p1 -b .dsolinking

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original	\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category AudioVideoEditing			\
  --add-category AudioVideo				\
  --add-category Application				\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/TagTool.png
%{_datadir}/icons/hicolor/scalable/apps/TagTool.svg


%changelog
* Sun May 01 2011 Dominic Hopf <dmaphy@fedoraproject.org> - 0.12.3-10
- rebuilt against current glibc

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Mar  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-8
- Add patch to fix DSOLinking. (#565078)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-5
- Add patch to support *.oga files.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-4
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-3
- Rebuild.

* Mon Aug  6 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-2
- Update license tag.

* Tue Feb 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.3-1
- Drop genre patch, fixed upstream.
- Add scriptlets for gtk-icon-cache.
- Add patch to fix desktop file.
- Drop X-Fedora category from desktop file.

* Tue Oct 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-9
- Add patch to fix genre ui bug. (#211145)

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-8
- Rebuild for FC6.

* Fri Jun 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-7
- Add BR for perl(XML::Parser).

* Sun Feb 26 2006 Brian Pepple <bdpepple@ameritech.net> - 0.12.2-5
- Let's actually bump it this time & fix changelog errors.

* Sun Sep 25 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12.2-4
- Add dist tag.

* Fri Sep 23 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12.2-2
- Drop redundant BR's: gtk2-devel, libxml2-devel.
- Add missing scriplets for desktop-database.
- Merge directories.

* Fri Sep 16 2005 Brian Pepple <bdpepple@ameritech.net> - 0.12.2-1
- Initial Fedora Extras spec.
- Add patch to remove content from menu, since no help file is provided.

